﻿--2024-05-13update
ALTER TABLE t_d_form_widget MODIFY COLUMN role_type varchar(500) NULL COMMENT '角色类型';

--2024-05-14update
CREATE TABLE t_b_crm_detail
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    crm_no VARCHAR(100)
        COMMENT '派单号' NOT NULL,
    flow_deployment_id VARCHAR(50)
        COMMENT '流程部署id' NOT NULL,
    flow_id BIGINT
        COMMENT '流程id' NULL,
    process_var MEDIUMTEXT
        COMMENT '过程变量' NOT NULL,
    status VARCHAR(20)
        COMMENT '状态，UN_PUBLISH：未发布，PUBLISH：发布' NOT NULL,
    course_name VARCHAR(255)
        COMMENT '科目名称' NOT NULL,
    exam_student_count INTEGER
        COMMENT '考生人数' NOT NULL,
    contacts VARCHAR(100)
        COMMENT '联系人' NULL,
    mobile_number VARCHAR(30)
        COMMENT '电话' NULL,
    service_scope VARCHAR(30)
        COMMENT '服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷' NOT NULL,
    scan_start_time BIGINT
        COMMENT '扫描开始时间' NOT NULL,
    scan_end_time BIGINT
        COMMENT '扫描结束时间' NOT NULL,
    mark_paper_start_time BIGINT
        COMMENT '阅卷开始时间' NOT NULL,
    mark_paper_end_time BIGINT
        COMMENT '阅卷结束时间' NOT NULL,
    create_id BIGINT
        COMMENT '创建人id' NULL,
    create_time BIGINT
        COMMENT '创建时间' NULL,
    update_id BIGINT
        COMMENT '更新人id' NULL,
    update_time BIGINT
        COMMENT '更新时间' NULL
);

/* Add Primary Key */
ALTER TABLE t_b_crm_detail ADD CONSTRAINT pkt_b_crm_detail
    PRIMARY KEY (id);

/* Add Comments */
ALTER TABLE t_b_crm_detail COMMENT = '派单明细表';